Skip to content

deployment_canvas_get

Get canvas state (nodes + services) for an environment

Tool

deployment_canvas_get

Get canvas state (nodes + services) for an environment

Get canvas state (nodes + services) for an environment

Behavior

HTTP
GET /deployment/environments/:environmentId/canvas

Arguments

Name
Type
Required
Description
environmentId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
edges
array
•
nodes
array
•
services
array
•
environmentId
string
•

Try it

Get canvas state (nodes + services) for an environment.

When to use

Get canvas state (nodes + services) for an environment

Example

Ask your agent something like this:

Get canvas state (nodes + services) for an environment.

The agent will invoke deployment_canvas_get with these arguments:

{
  "environmentId": "<environmentId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select